org.apache.cassandra.io.util

## Class CompressedPoolingSegmentedFile.Cleanup

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile.Cleanup
  - - org.apache.cassandra.io.util.PoolingSegmentedFile.Cleanup
    - - org.apache.cassandra.io.util.CompressedPoolingSegmentedFile.Cleanup

- All Implemented Interfaces:
    RefCounted.Tidy
  Enclosing class:
    CompressedPoolingSegmentedFile

      protected static final class CompressedPoolingSegmentedFile.Cleanup
      extends PoolingSegmentedFile.Cleanup

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Cleanup(ChannelProxy channel, CompressionMetadata metadata, java.util.TreeMap<java.lang.Long,java.nio.MappedByteBuffer> chunkSegments)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `tidy()`

    - ### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile.Cleanup

      `name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cleanup

          protected Cleanup(ChannelProxy channel,
                            CompressionMetadata metadata,
                            java.util.TreeMap<java.lang.Long,java.nio.MappedByteBuffer> chunkSegments)

  - ### Method Detail

    - #### tidy

          public void tidy()

      Specified by:
        `tidy` in interface `RefCounted.Tidy`
      Overrides:
        `tidy` in class `PoolingSegmentedFile.Cleanup`

Copyright © 2018 The Apache Software Foundation